Name: 	 	gourmet
Summary: 	Recipe manager for the GNOME desktop
Version: 	0.17.4
Release: 	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://thinkle.github.io/gourmet/
Source0:	https://github.com/thinkle/gourmet/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-devel
BuildRequires:	python-distutils-extra
BuildRequires:	python-elib.intl
BuildRequires:	python-imaging
BuildRequires:	python-metakit
BuildRequires:	python-pyrtf
BuildRequires:	python-sqlite2
Requires:	gnome-python-gtkspell
Requires:	gstreamer0.10-python
Requires:	pygtk2.0-libglade
Requires:	python-beautifulsoup
Requires:	python-elib.intl
Requires:	python-imaging
Requires:	python-metakit
Requires:	python-pypoppler
Requires:	python-pyrtf
Requires:	python-reportlab
Requires:	python-sqlalchemy
Requires:	python-sqlite2

%description
Gourmet allows you to collect, search and organize your recipes, and to
automatically generate shopping lists from your collection.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install \
	-O1 \
	--root %{buildroot}

#menu
desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES README.md FAQ LICENSE
%{_bindir}/%{name}
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info
%{_iconsdir}/hicolor/*/apps/gourmet.*
%{_datadir}/applications/*
%{_datadir}/appdata/gourmet.appdata.xml
%{_datadir}/%{name}/


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.17.4-6.mga6
+ Revision: 971743
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 daviddavid <daviddavid> 0.17.4-5.mga6
+ Revision: 892581
- add more docs to fix build with latest rpm
- use new python2 macros (fix build failure)

* Wed Oct 15 2014 umeabot <umeabot> 0.17.4-4.mga5
+ Revision: 748876
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.17.4-3.mga5
+ Revision: 726389
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.17.4-2.mga5
+ Revision: 679899
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 wally <wally> 0.17.4-1.mga5
+ Revision: 635430
- new version 0.17.4

* Sat May 31 2014 pterjan <pterjan> 0.17.3-2.mga5
+ Revision: 628234
- Rebuild for new Python

* Tue May 06 2014 wally <wally> 0.17.3-1.mga5
+ Revision: 620850
- new version 0.17.3

* Thu Mar 27 2014 wally <wally> 0.17.2-1.mga5
+ Revision: 609002
- new version 0.17.2

* Mon Mar 10 2014 wally <wally> 0.17.0-1.mga5
+ Revision: 601790
- new version 0.17.0

* Tue Oct 22 2013 umeabot <umeabot> 0.16.1-3.mga4
+ Revision: 542644
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.16.1-2.mga4
+ Revision: 497766
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 29 2013 wally <wally> 0.16.1-1.mga4
+ Revision: 472970
- new version 0.16.1

* Wed May 29 2013 wally <wally> 0.16.0-1.mga4
+ Revision: 432797
- new version 0.16.0
- fix URLs
- clean unneeded requires and add some new ones (gstreamer0.10-python and python-elib.intl)
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 0.15.9-3.mga3
+ Revision: 352468
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 wally <wally> 0.15.9-2.mga2
+ Revision: 103396
- imported package gourmet


* Sun Apr 03 2011 Jani Välimaa <wally@mandriva.org> 0.15.9-2mdv2011.0
+ Revision: 650086
- require python-pypoppler

* Sat Apr 02 2011 Jani Välimaa <wally@mandriva.org> 0.15.9-1
+ Revision: 649885
- new version 0.15.9
- drop upstream applied patch
- drop support for old mdv versions
- drop buildroot definition
- clean .spec a bit

* Sun Dec 05 2010 Jani Välimaa <wally@mandriva.org> 0.15.6-3mdv2011.0
+ Revision: 609812
- add patch from Fedora to fix database update from older versions (mdv#61872)

* Mon Nov 08 2010 Jani Välimaa <wally@mandriva.org> 0.15.6-2mdv2011.0
+ Revision: 595107
- rebuild for python 2.7

* Mon Aug 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.15.6-1mdv2011.0
+ Revision: 572184
- update to 0.15.6

* Thu Jul 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.15.5-1mdv2011.0
+ Revision: 557047
- update to 0.15.5

* Thu Jun 17 2010 Frederic Crozat <fcrozat@mandriva.com> 0.15.4-2mdv2010.1
+ Revision: 548201
- ensure icon is visible for menu entry
- clean categories for menu entry, remove Database, gourmet shouldn't end in Development/Databases

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.15.4-1mdv2010.1
+ Revision: 515743
- update to 0.15.4

* Fri Dec 18 2009 Jérôme Brenier <incubusss@mandriva.org> 0.15.3-1mdv2010.1
+ Revision: 480010
- new version 0.15.3

* Sun Aug 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.15.0-1mdv2010.0
+ Revision: 422545
- Update to new version 0.15.0

* Sun Jul 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14.10-2mdv2010.0
+ Revision: 395353
- Requires gnome-python-gtkspell for spell checking plug-in which is
  activated by default

* Sat Jun 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14.10-1mdv2010.0
+ Revision: 390089
- update to new version 0.14.10

* Sun May 03 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14.7-2mdv2010.0
+ Revision: 371183
- Add python-sqlalchemy and python-reportlab Requires

* Sat May 02 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14.7-1mdv2010.0
+ Revision: 370554
- BuildRequires: intltool
- Update to new version 0.14.7

* Fri Mar 06 2009 Emmanuel Andry <eandry@mandriva.org> 0.13.8-2mdv2009.1
+ Revision: 349935
- Requires gnome-python-gnomeprint, python-pyrtf

* Fri Mar 06 2009 Emmanuel Andry <eandry@mandriva.org> 0.13.8-1mdv2009.1
+ Revision: 349584
- New version 0.13.8
- fix license
- BR python-pyrtf instead of PyRTF

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 0.13.4-5mdv2009.1
+ Revision: 325572
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Jul 22 2008 Thierry Vignaud <tv@mandriva.org> 0.13.4-4mdv2009.0
+ Revision: 240795
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 23 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.13.4-2mdv2008.0
+ Revision: 92319
- Minor indentation fix.

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Requires (Bug #33924)
      Remove old menu

* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.13.4-1mdv2008.0
+ Revision: 80014
- Add ImageMagick
- Add desktop-file-utils
- New release 0.13.4

  + Pascal Terjan <pterjan@mandriva.org>
    - Ship the .egg-info
    - Fix BuildRequires/Requires on metakit-python


* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.11.2-2mdv2007.0
- xdg menu
- buildrequires python-sqlite2 PyRTF python-imaging

* Thu May 04 2006 Austin Acton <austin@mandriva.org> 0.11.2-1mdk
- New release 0.11.2

* Mon Apr 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5.13-2mdk
- Add BuildRequires
- use mkrel

* Thu Nov 10 2005 Austin Acton <austin@mandriva.org> 0.8.5.13-1mdk
- New release 0.8.5.13

* Thu Sep 08 2005 Austin Acton <austin@mandriva.org> 0.8.5.12-1mdk
- New release 0.8.5.12

* Thu Aug 04 2005 Austin Acton <austin@mandriva.org> 0.8.5.9-1mdk
- New release 0.8.5.9

* Wed Jun 22 2005 Austin Acton <austin@mandriva.org> 0.8.5.3-1mdk
- New release 0.8.5.3

* Sun Jun 05 2005 Austin Acton <austin@mandriva.org> 0.8.5.0-1mdk
- New release 0.8.5.0

* Fri May 20 2005 Austin Acton <austin@mandriva.org> 0.8.4.4-1mdk
- New release 0.8.4.4

* Wed May 18 2005 Austin Acton <austin@mandriva.org> 0.8.4.3-1mdk
- New release 0.8.4.3

* Wed May 11 2005 Austin Acton <austin@mandriva.org> 0.8.4.1-1mdk
- New release 0.8.4.1

* Sun Apr 24 2005 Austin Acton <austin@mandriva.org> 0.8.3.4-1mdk
- New release 0.8.3.4
- locales

* Sun Apr 17 2005 Austin Acton <austin@mandrake.org> 0.8.3.3-1mdk
- New release 0.8.3.3

* Wed Apr 06 2005 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- New release 0.8.3

* Thu Mar 24 2005 Austin Acton <austin@mandrake.org> 0.8.2.1-1mdk
- 0.8.2.1

* Mon Mar 21 2005 Austin Acton <austin@mandrake.org> 0.8.2-2.1mdk
- 0.8.2-2

* Mon Mar 21 2005 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- New release 0.8.2

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.8.1.2-1mdk
- New release 0.8.1.2

* Fri Mar 11 2005 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- 0.8.0
- source URL

* Sat Jan 10 2004 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- initial package

